//
//  IBDViewController.m
//  IB-Demo
//
//  Created by Felix Rohrer on 01.03.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "IBDViewController.h"

@interface IBDViewController ()

@end

@implementation IBDViewController

BOOL insideWarningRange = NO;

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)sliderValueChanged:(UISlider *)sender {
    if (sender.value >= 90 && !insideWarningRange) {
        insideWarningRange = YES;
        UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Warnung"
                                                       message:@"Der Wert ist über 90!"
                                                      delegate:self
                                             cancelButtonTitle:@"OK"
                                             otherButtonTitles: nil];
        [alert show];
    } else if (sender.value < 90) {
        insideWarningRange = NO;
    }
    
        
    self.sliderLabel.text = [NSString stringWithFormat:@"%.2f",sender.value];
}

- (IBAction)colorButtonValueChanged:(UISegmentedControl *)sender {
    if (sender.selectedSegmentIndex == 0) {
        self.view.backgroundColor = [UIColor blackColor];
    } else {
        self.view.backgroundColor = [UIColor grayColor];
    }
        
}

- (IBAction)spinButtonPressed:(UIButton *)sender {
    if (self.spinner.isAnimating) {
        [self.spinner stopAnimating];
        
        [sender setTitle:@"start spinning" forState:UIControlStateNormal];
    } else {
        [self.spinner startAnimating];
        [sender setTitle:@"stop spinning" forState:UIControlStateNormal];
    }
        
}

- (IBAction)infoButtonPressed:(UIButton *)sender {
    UIAlertView *info = [[UIAlertView alloc] initWithTitle:@"About"
                                                   message:@"Second Evening @ iOS"
                                                   delegate:self
                                                   cancelButtonTitle:@"OK"
                                                   otherButtonTitles: nil];
    [info show];
    
}

@end
